DefaultTaskController (Hadoop 0.20.2+737 API)
Date: 2010-10-11

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.mapred
Class DefaultTaskController

    java.lang.Object
      org.apache.hadoop.mapred.TaskController
          org.apache.hadoop.mapred.DefaultTaskController

All Implemented Interfaces:
  Configurable

    public class DefaultTaskController

extends TaskController

The default implementation for controlling tasks. This class provides an implementation for launching and killing tasks that need to be run as the tasktracker itself. Hence, many of the initializing or cleanup methods are not required here.
NOTE: This class is internal only class and not intended for users!!

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.hadoop.mapred.TaskController
`TaskController.DistributedCacheFileContext, TaskController.InitializationContext`

Field Summary

Fields inherited from class org.apache.hadoop.mapred.TaskController
`mapredLocalDirs`

Constructor Summary
`DefaultTaskController()`

Method Summary
`void` | `initializeDistributedCacheFile(TaskController.DistributedCacheFileContext context)` Take task-controller specific actions to initialize the distributed cache file.
`void` | `initializeUser(TaskController.InitializationContext context)` Initialize user on this TaskTracer in a TaskController specific manner.

Methods inherited from class org.apache.hadoop.mapred.TaskController
`getConf, setConf, setup`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultTaskController

    public DefaultTaskController()

Method Detail

### initializeDistributedCacheFile

    public void initializeDistributedCacheFile(TaskController.DistributedCacheFileContext context)
                                        throws IOException

  Description copied from class: `TaskController`
  Take task-controller specific actions to initialize the distributed cache file. This involves setting appropriate permissions for these files so as to secure them to be accessible only their owners.

  Specified by:
    `initializeDistributedCacheFile` in class `TaskController`
  Throws:
    `IOException`

### initializeUser

    public void initializeUser(TaskController.InitializationContext context)

  Description copied from class: `TaskController`
  Initialize user on this TaskTracer in a TaskController specific manner.

  Specified by:
    `initializeUser` in class `TaskController`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation